summaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2023-06-01 06:57:39 -0400
committerGitHub <noreply@github.com>2023-06-01 06:57:39 -0400
commit8028ea9aa9f5a7951ea4ecc7a6e1e8d8396edcbf (patch)
treee8c8c1356eb34c9004758f831111343047d66fd5 /packaging
parentea9b7037cb3e0f13a2847840ae4afeefd4e12f42 (diff)
Fix bundling of eBPF legacy code for DEB packages. (#15127)
Fix bundling of eBPF code legacy code for DEB packages.
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/bundle-ebpf.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/packaging/bundle-ebpf.sh b/packaging/bundle-ebpf.sh
index 29fc6a2aa0..0103fc4ed1 100755
--- a/packaging/bundle-ebpf.sh
+++ b/packaging/bundle-ebpf.sh
@@ -2,15 +2,16 @@
SRCDIR="${1}"
PLUGINDIR="${2}"
+FORCE="${3}"
EBPF_VERSION="$(cat "${SRCDIR}/packaging/ebpf.version")"
EBPF_TARBALL="netdata-kernel-collector-glibc-${EBPF_VERSION}.tar.xz"
-if [ -x "${PLUGINDIR}/ebpf.plugin" ] ; then
+if [ -x "${PLUGINDIR}/ebpf.plugin" ] || [ "${FORCE}" = "force" ]; then
mkdir -p "${SRCDIR}/tmp/ebpf"
curl -sSL --connect-timeout 10 --retry 3 "https://github.com/netdata/kernel-collector/releases/download/${EBPF_VERSION}/${EBPF_TARBALL}" > "${EBPF_TARBALL}" || exit 1
grep "${EBPF_TARBALL}" "${SRCDIR}/packaging/ebpf.checksums" | sha256sum -c - || exit 1
- tar -xaf "${EBPF_TARBALL}" -C "${SRCDIR}/tmp/ebpf" || exit 1
+ tar -xvaf "${EBPF_TARBALL}" -C "${SRCDIR}/tmp/ebpf" || exit 1
if [ ! -d "${PLUGINDIR}/ebpf.d" ];then
mkdir "${PLUGINDIR}/ebpf.d"
fi